# Authorization & Headers

For backend based API request/call, Finpay API requires HTTP(s) headers that will be explained below.

### URL Endpoint <a href="#url-endpoint" id="url-endpoint"></a>

| Environment | Method | URL                               |
| ----------- | ------ | --------------------------------- |
| Development | POST   | <https://devo.finpay.id/billing/> |
| Production  | POST   | <https://live.finpay.id/billing/> |

### Content-Type and Accept Header <a href="#content-type-and-accept-header" id="content-type-and-accept-header"></a>

Finpay API uses JSON format for input and output, hence it is required to specify JSON as content-type & accept JSON as response. The header specification is as shown below.

* Content-Type: application/json
* Accept: application/json

### Signature <a href="#signature" id="signature"></a>

The Signature is used by Finpay API to identify merchant ID for initiating the request and also to process the request according to the authorization. The Signature is developed from the Merchant Key. This is a safety feature to prevent any unauthorized users.

The signature algorithm is as shown below :

```
sha256(userName.productCode.channel.terminal.transactionType.billNumber.traxId.sha256(timeStamp.password));
```

[<br>](https://hub.finpay.id/docs/finpay-billing/overview)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-billing/core-api/authorization-and-headers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
